      INCLUDE 'penelope.f'  ! File included to simplify compilation.
      INCLUDE 'rita.f'

CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C                                                                      C
C      M    M    AA   TTTTTT  EEEEEE  RRRRR   IIII    AA    L          C
C      MM  MM   A  A    TT    E       R    R   II    A  A   L          C
C      M MM M  A    A   TT    E       R    R   II   A    A  L          C
C      M    M  AAAAAA   TT    EEEE    RRRRR    II   AAAAAA  L          C
C      M    M  A    A   TT    E       R   R    II   A    A  L          C
C      M    M  A    A   TT    EEEEEE  R    R  IIII  A    A  LLLLLL     C
C                                                                      C
C                                                   (version 2011).    C
C                                                                      C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C                                                                      C
C  PENELOPE/PENGEOM (version 2011)                                     C
C  Copyright (c) 2001-2011                                             C
C  Universitat de Barcelona                                            C
C                                                                      C
C  Permission to use, copy, modify, distribute and sell this software  C
C  and its documentation for any purpose is hereby granted without     C
C  fee, provided that the above copyright notice appears in all        C
C  copies and that both that copyright notice and this permission      C
C  notice appear in all supporting documentation. The Universitat de   C
C  Barcelona makes no representations about the suitability of this    C
C  software for any purpose. It is provided "as is" without express    C
C  or implied warranty.                                                C
C                                                                      C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C  This program generates material definition files for PENELOPE, which
C  contain tables of physical properties, interaction cross sections and
C  other particle transport characteristics. These data are extracted
C  from the database, which consists of the following 995 ASCII files
C  contained in the directory './pendbase/pdfiles':
C
C* PDATCONF.P08: atomic ground-state configurations, ionisation energies
C     and central values of the one-electron shell Compton profiles for
C     the elements, from hydrogen to einsteinium (Z=1-99).
C
C* PDCOMPOS.P08: prepared composition data for 280 different materials
C     of radiological interest (adapted from Berger, NISTIR 4999, 1992).
C
C* PDEFLIST.P08: list of materials included in the PDCOMPOS.P08 file,
C     with their identification numbers.
C
C* PDRELAX.P11: data on atomic relaxation, extracted from the LLNL
C     Evaluated Atomic Data Library.
C
C* 99 files named PDEELZZ.P08 with ZZ=atomic number (001-099). These
C     files contain tables of total cross sections and first and second
C     transport cross sections for elastic scattering of electrons and
C     positrons by neutral free atoms, generated by the program ELSEPA.
C     The same grid of energies, that covers the interval from 50 eV
C     up to 1 GeV, is used for all elements.
C
C* 99 files named EELDXZZZ.P08 with ZZZ=atomic number (001-099). These
C     files contain tables of differential cross sections for elastic
C     scattering of electrons by free neutral atoms. They where
C     generated by using the program ELSEPA and cover the energy
C     interval from 50 eV to 100 MeV.
C
C* 99 files named PELDXZZZ.P08 with ZZZ=atomic number (001-099). These
C     files contain tables of differential cross sections for elastic
C     scattering of positrons by free neutral atoms. They where
C     generated by using the program ELSEPA and cover the energy
C     interval from 50 eV to 100 MeV.
C
C* 99 files named PDEBRZZ.P08 that contain electron bremsstrahlung data.
C     These files were produced from the database of Seltzer and Berger.
C     The same grid of energies for all elements.
C
C* PDBRANG.P08: parameters of the intrinsic angular distribution of
C     bremsstrahlung photons. Determined by fitting the set of benchmark
C     partial-wave shape functions of Kissel, Quarles and Pratt.
C
C* 99 files named PDAFFZZ.P08, ZZ=atomic number (01-99), with tables of
C     atomic form factors and incoherent scattering functions of neutral
C     free atoms, extracted from the EPDL97 data library of Cullen et al.
C
C* 99 files named PDGRAZZ.P08 with ZZ=atomic number (01-99). These
C     files contain tables of anomalous scattering factors and total
C     cross sections for Rayleigh scattering of photons by neutral free
C     atoms, extracted from the EPDL97 data library of Cullen et al.
C
C* 99 files named PDGPPZZ.P11 with cross sections for pair and triplet
C     production in the field of neutral atoms, obtained from the XCOM
C     program of Berger and Hubbell. The same energy grid for all
C     elements.
C
C* 99 files named PDGPHZZ.P11, containing total atomic photoelectric
C     cross sections and partial cross sections for inner (K, L and M)
C     shells, generated from the EPDL97 data library of Cullen et al.
C
C* 99 files named PDESIZZ.P11 with cross sections for ionisation of
C     inner (K, L and M) shells by electron impact, generated from the
C     distorted-wave and plane-wave Born approximations.
C
C* 99 files named PDPSIZZ.P11 with cross sections for ionisation of
C     inner (K, L and M) shells by positron impact, generated from the
C     distorted-wave and plane-wave Born approximations.
C
C  A material is completely characterized by its chemical composition,
C  i.e., elements present and number of atoms of each element in a
C  molecule (=stoichiometric index), mass density and mean excitation
C  energy. Alloys and mixtures are treated as compounds, with stoichio-
C  metric indices equal or proportional to the percent number of atoms
C  of each element. Information about the material is supplied by the
C  user from the keyboard, following the prompts from 'material', or
C  read from the 'pdcompos.p08' file, which contains information for 280
C  different materials. In the case of compounds, 'molecular' cross
C  sections are obtained by means of the additivity rule, i.e. as the
C  sum of the atomic cross sections.
C
C  To obtain the executable file 'material.exe', compile and link the
C  source files 'material.f', 'penelope.f', and 'rita.f'. The file
C  'material.exe' must be placed in the directory 'pendbase', which
C  contains the subdirectory 'pdfiles' with the database files.
C
C  NOTE: In the output file and in the simulation program, lengths are
C  given in cm and energies in eV. Consequently, total cross sections
C  are in cm**2, stopping powers in eV/cm, etc. However, macroscopic
C  cross sections listed in the input/output files are expressed in mass
C  thickness units; 1 mtu = 1 g/cm**2.
C
      IMPLICIT DOUBLE PRECISION (A-H,O-Z), INTEGER*4 (I-N)
      CALL PEMATW
      END
